Skip to main content
PUT
Update Affiliate
Update an existing affiliate. Any omitted non-required fields will be reset to their defaults. Use the Bulk Edit endpoint if you only need to change specific fields. Note: you cannot add or update users when updating an affiliate. Use the Affiliate User endpoints instead.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID to update.

Body

application/json
name
string
required

The name of the affiliate.

account_status
enum<string>
required

The affiliate's account status.

Available options:
active,
inactive
network_employee_id
integer
required

The employee ID of the affiliate's account manager.

default_currency_id
string
required

The affiliate's default currency. Can be found using the metadata API.

billing
object
required

The affiliate's billing information.

internal_notes
string

Internal notes for network usage.

Whether or not you want to allow the affiliate to pass and override cost in their tracking links. Defaults to false.

referrer_id
integer

The ID of the affiliate that referred this affiliate. Defaults to 0 (none).

is_contact_address_enabled
boolean

Whether or not you want to include a contact address for this affiliate. Defaults to false.

network_affiliate_tier_id
integer

The ID of the Affiliate Tier.

contact_address
object

The affiliate's contact address information. Only required if is_contact_address_enabled is set to true.

labels
string[]

Used to associate labels to the affiliate.

A label string.

Response

Affiliate updated successfully.

An affiliate (partner) account in the network.

network_affiliate_id
integer

Unique affiliate ID.

network_id
integer

Network ID.

name
string

Affiliate name.

account_status
enum<string>

Current account status.

Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

internal_notes
string

Internal notes about this affiliate (not visible to the affiliate).

default_currency_id
string

Default currency code (e.g. USD).

Whether media cost tracking links are enabled for this affiliate.

is_contact_address_enabled
boolean

Whether the contact address is enabled.

has_notifications
boolean

Whether notifications are enabled.

network_traffic_source_id
integer

Associated traffic source ID.

account_executive_id
integer

Account executive employee ID.

adress_id
integer

Address record ID. Note the field name uses a single 'd' (adress_id) in the API response.

address_id
integer

Address record ID (alias).

referrer_id
integer

ID of the referring affiliate, if any.

time_created
integer

Unix timestamp when the affiliate was created.

Example:

1734455015

time_saved
integer

Unix timestamp when the affiliate was last updated.

Example:

1734455015

relationship
object

Related data (only present when requested via query parameter).